counts = [];

function preload() {
  table = loadTable('https://gist.githubusercontent.com/hollyjpotter/45952a6c5373b5c8b69fdd272dc0fccc/raw/142b61919367aea37ecfa79b8b370667f7d42c53/powerData.csv', 'csv', 'header');
}

function setup() {
  width = 1000;
  height = 1000;
  createCanvas(600, 600);
  nrow = table.getRowCount();
  
  const bins = ["0-100", "101-200", "201-300", "301-400", "401-500", "501-600", "601-700", "701-800"]; 
  bin_counts = {};
  
  bins.forEach(element => {
	bin_counts[element] = 0;
  })
  
  background(255);

  for (var i = 0; i < nrow; i++) {
    counts[i] = table.getString(i, 1);
    
    if (counts[i] <= 100){
      bin_counts["0-100"]++;
    }
    
    else if (counts[i] >= 101 && counts[i] <= 200){
      bin_counts["101-200"]++;
    }
    
    else if (counts[i] >= 201 && counts[i] <= 300){
      bin_counts["201-300"]++;
    }
    
    else if (counts[i] >= 301 && counts[i] <= 400){
      bin_counts["301-400"]++;
    }
    
    else if (counts[i] >= 401 && counts[i] <= 500){
      bin_counts["401-500"]++;
    }
    
    else if (counts[i] >= 501 && counts[i] <= 600){
      bin_counts["501-600"]++;
    }
    
    else if (counts[i] >= 601 && counts[i] <= 700){
      bin_counts["601-700"]++;
    }
    
    else if (counts[i] >= 701 && counts[i] <= 800){
      bin_counts["701-800"]++;
    }
  }
  stroke('#adacac')
  line(120, 80, 120, 400);
  line(160, 80, 160, 400);
  line(200, 80, 200, 400);
  line(240, 80, 240, 400);
  line(280, 80, 280, 400);
  line(320, 80, 320, 400);
  line(360, 80, 360, 400);
  line(400, 80, 400, 400);

  line(450, 110, 80, 110);
  line(450, 140, 80, 140);
  line(450, 170, 80, 170);
	line(450, 200, 80, 200);
  line(450, 230, 80, 230);
  line(450, 260, 80, 260);
  line(450, 290, 80, 290);
  line(450, 320, 80, 320);
  line(450, 350, 80, 350);
  line(450, 380, 80, 380);
  
	var temp = 0;
	for(key in bin_counts) {
		fill('#60e9f0');
		var height = bin_counts[key];
    height *= 30
    //height /= 1.5;
		rect(100 + (40 * temp), 400 - height, 40, height);
        fill('black')
        textSize(9);
		text(Object.keys(bin_counts)[temp], 103 + (41 * temp), 420);
		temp++;
	}


	var start = 115;

	for(var i = 0; i < 10; i++) {
		text((10-(i)), 60, start + 30 * i);
    //line(i*90, 0, i*90, 200);
		//line(0, i, 200, i);
	}
}